# PSF-LoginServer - master - net.psforever.packet.game.SquadInfo
PSF - LoginServer - master - net.psforever.packet.game.SquadInfo
Keywords: PSF LoginServer master net.psforever.packet.game.SquadInfo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- ActionCancelMessage
- ActionProgressMessage
- ActionResultMessage
- Additional1
- Additional2
- Additional3
- AggravatedDamageMessage
- ArmorChangedMessage
- AvatarDeadStateMessage
- AvatarFirstTimeEventMessage
- AvatarGrenadeStateMessage
- AvatarImplantMessage
- AvatarJumpMessage
- AvatarSearchCriteriaMessage
- AvatarStatisticsMessage
- AvatarVehicleTimerMessage
- BattleDiagramAction
- BattleExperienceMessage
- BattleplanMessage
- BeginZoningMessage
- BindPlayerMessage
- BindStatus
- BroadcastWarpgateUpdateMessage
- BugReportMessage
- BugType
- BuildingInfoUpdateMessage
- CaptureFlagUpdateMessage
- CargoMountPointStatusMessage
- ChainLashMessage
- ChangeAmmoMessage
- ChangeFireModeMessage
- ChangeFireStateMessage_Start
- ChangeFireStateMessage_Stop
- ChangeShortcutBankMessage
- CharacterCreateRequestMessage
- CharacterInfoMessage
- CharacterKnowledgeInfo
- CharacterKnowledgeMessage
- CharacterNoRecordMessage
- CharacterRequestAction
- CharacterRequestMessage
- ChatChannel
- ChatMsg
- ChildObjectStateMessage
- CloudInfo
- ConnectToWorldMessage
- ConnectToWorldRequestMessage
- ContinentalLockUpdateMessage
- CreateShortcutMessage
- DamageFeedbackMessage
- DamageMessage
- DamageWithPositionMessage
- DataChallenge
- DataChallengeMessage
- DataChallengeMessageResp
- DeadState
- DelayedPathMountMsg
- DensityLevelUpdateMessage
- DeployObjectMessage
- DeployOutcome
- DeployRequestMessage
- DeployableIcon
- DeployableInfo
- DeployableObjectsInfoMessage
- DeploymentAction
- DestroyDisplayMessage
- DestroyMessage
- DiagramActionCode
- DiagramStroke
- DisconnectMessage
- DismountBuildingMsg
- DismountVehicleCargoMsg
- DismountVehicleMsg
- DisplayedAwardMessage
- DrawString
- DropItemMessage
- DroppodError
- DroppodFreefallingMessage
- DroppodLaunchInfo
- DroppodLaunchRequestMessage
- DroppodLaunchResponseMessage
- DrowningTarget
- EmoteMsg
- ExperienceAddedMessage
- FacilityBenefitShieldChargeRequestMessage
- FavoritesAction
- FavoritesMessage
- FavoritesRequest
- FireHintMessage
- FlagInfo
- Friend
- FriendAction
- FriendsRequest
- FriendsResponse
- GamePropertyScope
- GamePropertyTarget
- GenericActionEnum
- GenericActionMessage
- GenericCollisionMsg
- GenericObjectActionEnum
- GenericObjectActionMessage
- GenericObjectStateMsg
- HackMessage
- HackState
- HitHint
- HitInfo
- HitMessage
- HotSpotInfo
- HotSpotUpdateMessage
- ImplantAction
- InvalidTerrainMessage
- InventoryStateMessage
- ItemTransactionMessage
- ItemTransactionResultMessage
- KeepAliveMessage
- LashMessage
- LoadMapMessage
- LoginMessage
- LoginRespMessage
- LongRangeProjectileInfoMessage
- LootItemMessage
- MailMessage
- MemberEvent
- MountVehicleCargoMsg
- MountVehicleMsg
- MoveItemMessage
- ObjectAttachMessage
- ObjectCreateDetailedMessage
- ObjectCreateMessage
- ObjectDeleteMessage
- ObjectDeployedMessage
- ObjectDetachMessage
- ObjectDetectedMessage
- ObjectHeldMessage
- OrbitalShuttleTimeMsg
- OrbitalStrikeWaypointMessage
- OxygenStateMessage
- PadAndShuttlePair
- PickupItemMessage
- PingMsg
- PlanetSideZoneID
- PlanetsideAttributeEnum
- PlanetsideAttributeMessage
- PlanetsideStringAttributeMessage
- PlayerStasisMessage
- PlayerStateMessage
- PlayerStateMessageUpstream
- PlayerStateShiftMessage
- ProjectileCharacteristics
- ProjectileStateMessage
- PropertyOverrideMessage
- ProximityTerminalUseMessage
- QuantityDeltaUpdateMessage
- QuantityUpdateMessage
- ReleaseAvatarRequestMessage
- ReloadMessage
- RepairMessage
- ReplicationStreamMessage
- RequestDestroyMessage
- RespawnAMSInfoMessage
- RespawnInfo
- RibbonBarsSlot
- ServerType
- ServerVehicleOverrideMsg
- SetChatFilterMessage
- SetCurrentAvatarMessage
- SetEmpireMessage
- ShiftState
- Shortcut
- SimDataChallenge
- SimDataChallengeResp
- SpawnRequestMessage
- SplashHitMessage
- SplashedTarget
- SquadAction
- SquadDefinitionActionMessage
- SquadDetail
- SquadDetailDefinitionUpdateMessage
- SquadHeader
- SquadInfo
- SquadInvitationRequestMessage
- SquadListing
- SquadMemberEvent
- SquadMembershipRequest
- SquadMembershipResponse
- SquadPositionDetail
- SquadPositionEntry
- SquadState
- SquadStateInfo
- SquadWaypointEvent
- SquadWaypointRequest
- Statistics
- StormInfo
- StreamLengthToken
- StrokeFive
- StrokeSeven
- Style
- TargetInfo
- TargetRequest
- TargetingImplantRequest
- TargetingInfoMessage
- TerrainCondition
- TimeOfDayMessage
- TrainingZoneMessage
- TriggerEffectMessage
- TriggerEnvironmentalDamageMessage
- TriggerSoundMessage
- TriggeredEffect
- TriggeredEffectLocation
- TriggeredSound
- UnuseItemMessage
- UseItemMessage
- VNLWorldStatusMessage
- VehicleStateMessage
- VehicleSubStateMessage
- Vertex
- VoiceHostInfo
- VoiceHostKill
- VoiceHostRequest
- WarpQueuePrompt
- WarpgateRequest
- Waypoint
- WaypointEvent
- WaypointEventAction
- WaypointInfo
- WeaponDelayFireMessage
- WeaponDryFireMessage
- WeaponFireMessage
- WeaponJammedMessage
- WeaponLazeTargetPositionMessage
- WeatherMessage
- WorldConnectionInfo
- WorldInformation
- WorldStatus
- ZipLineMessage
- ZoneForcedCavernConnectionsMessage
- ZoneInfoMessage
- ZoneLockInfoMessage
- ZonePopulationUpdateMessage

o

net.psforever.packet.game

# SquadInfo 

###
Companion class SquadInfo

#### object SquadInfo extends Serializable

Source
  ReplicationStreamMessage.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadInfo
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final val Blank: SquadInfo

   An entry where no fields are defined.

5.  def apply(size: Option[Int], capacity: Int): SquadInfo

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.
   Two of the fields normally are `Option[Int]`s.

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.
   Two of the fields normally are `Option[Int]`s. Only the `capacity` field in this packet is an `Int`, giving the method a distinct signature. The other field - an `Option[Int]` for `size` - can still be set if passed.
   Recommended use: `SquadInfo(None, capacity)`

   size

     the current size of the squad

   capacity

     the maximum number of members that the squad can tolerate, if not `None`

   returns

     a `SquadInfo` object

6.  def apply(size: Int): SquadInfo

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.

   size

     the current size of the squad

   returns

     a `SquadInfo` object

7.  def apply(continent_guid: PlanetSideZoneID): SquadInfo

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the field.

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the field.

   continent_guid

     the continent on which the squad is acting

   returns

     a `SquadInfo` object

8.  def apply(leader: Option[String], task: String): SquadInfo

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.
   Only the `task` field in this packet is a `String`, giving the method a distinct signature.

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.
   Only the `task` field in this packet is a `String`, giving the method a distinct signature. The other field - an `Option[String]` for `leader` - can still be set if passed.
   Recommended use: `SquadInfo(None, task)`

   leader

     the name of the squad leader, if not `None`

   task

     the task the squad is trying to perform

   returns

     a `SquadInfo` object

9.  def apply(leader: String): SquadInfo

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.

   Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the important field.

   leader

     the name of the squad leader

   returns

     a `SquadInfo` object

10.  def apply(leader: String, task: String, continent_guid: PlanetSideZoneID, size: Int, capacity: Int, squad_guid: PlanetSideGUID): SquadInfo

    Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the fields.
    This constructor is used by the `infoCodec`, `alt_infoCodec`, and `allCodec`.

    Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the fields.
    This constructor is used by the `infoCodec`, `alt_infoCodec`, and `allCodec`.

    leader

      the name of the squad leader

    task

      the task the squad is trying to perform

    continent_guid

      the continent on which the squad is acting

    size

      the current size of the squad

    capacity

      the maximum number of members that the squad can tolerate

    squad_guid

      a GUID associated with the squad, used to recover the squad definition

    returns

      a `SquadInfo` object

11.  def apply(leader: String, task: String, continent_guid: PlanetSideZoneID, size: Int, capacity: Int): SquadInfo

    Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the fields.
    This constructor is not actually used at the moment.

    Alternate constructor for `SquadInfo` that ignores the `Option` requirement for the fields.
    This constructor is not actually used at the moment.

    leader

      the name of the squad leader

    task

      the task the squad is trying to perform

    continent_guid

      the continent on which the squad is acting

    size

      the current size of the squad

    capacity

      the maximum number of members that the squad can tolerate

    returns

      a `SquadInfo` object

12.  def apply(): SquadInfo
13.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
14.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
25.  def toString(): String
    Definition Classes
      AnyRef → Any
26.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
29.  object Field

    The codes related to the specific application of different `Codec`s when parsing squad information as different fields.

    The codes related to the specific application of different `Codec`s when parsing squad information as different fields. Hence, "field codes." These fields are identified when using `SquadInfo` data in `ReplicationStreamMessage`'s "update" format but are considered absent when performing squad list initialization.

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped